package com.zaojiao.component.common

import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.ColumnScope
import androidx.compose.foundation.layout.RowScope
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.width
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.Dp

@Composable
fun RowScope.Spacer(width: Dp) {
    return Box(modifier = Modifier.width(width))
}

@Composable
fun ColumnScope.Spacer(height: Dp) {
    return Box(modifier = Modifier.height(height))
}

@Composable
fun RowScope.Expanded(flex: Float = 1f) {
    return Box(modifier = Modifier.weight(flex))
}

@Composable
fun ColumnScope.Expanded(flex: Float = 1f) {
    return Box(modifier = Modifier.weight(flex))
}
